#
# spec file for package ffmpeg
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?BUILD_ORIG}
%bcond_without nvidia
%else
%bcond_with    nvidia
%endif
%bcond_with    fdk_aac
%bcond_with    librtmp
%bcond_with    vo_aacenc
%bcond_with    x264
%bcond_with    x265
%bcond_with    xvid
%bcond_with    opencore

# vidstab currently can't enter Factory due to legal review / unclarity. Temp disable
%bcond_with vidstab

Name:           ffmpeg
Version:        3.4.2
Release:        150200.11.44.1
Summary:        Library for working with various multimedia formats
License:        LGPL-2.1-or-later AND GPL-2.0-or-later
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            https://ffmpeg.org/

#Freshcode-URL:    http://freshcode.club/projects/ffmpeg
#Git-Clone:     git://source.ffmpeg.org/ffmpeg
Source:         https://www.ffmpeg.org/releases/%name-%version.tar.xz
Source2:        https://www.ffmpeg.org/releases/%name-%version.tar.xz.asc
Source3:        ffmpeg-rpmlintrc
Source4:        enable_decoders
Source5:        enable_encoders
Source99:       baselibs.conf
Patch1:         ffmpeg-libcdio_cdda-pkgconfig.patch
Patch2:         ffmpeg-arm6l.diff
Patch3:         ffmpeg-new-coder-errors.diff
Patch4:         ffmpeg-codec-choice.diff
Patch5:         ffmpeg-CVE-2017-17555.diff
Patch6:         ffmpeg-CVE-2018-13302.patch
Patch7:         ffmpeg-CVE-2018-1999010.patch
Patch8:         ffmpeg-CVE-2018-1999011.patch
Patch9:         ffmpeg-CVE-2018-1999012.patch
Patch10:        ffmpeg-CVE-2018-1999013.patch
Patch11:        ffmpeg-CVE-2018-15822.patch
Patch12:        ffmpeg-CVE-2018-13300.patch
Patch13:        ffmpeg-CVE-2018-12458.patch
Patch14:        ffmpeg-CVE-2018-13305.patch
Patch15:        ffmpeg-CVE-2018-14395.patch
Patch16:        ffmpeg-CVE-2018-14394.patch
Patch17:        ffmpeg-CVE-2019-12730.patch
Patch18:        ffmpeg-CVE-2019-9718.patch
Patch19:        ffmpeg-CVE-2018-13301.patch
Patch20:        ffmpeg-CVE-2019-17542.patch
Patch21:        ffmpeg-CVE-2019-17539.patch
Patch22:        ffmpeg-CVE-2020-13904.patch
Patch23:        ffmpeg-CVE-2020-20448.patch
Patch24:        ffmpeg-CVE-2020-20451.patch
Patch25:        ffmpeg-CVE-2020-21041.patch
Patch26:        ffmpeg-CVE-2020-22015.patch
Patch27:        ffmpeg-CVE-2020-22016.patch
Patch28:        ffmpeg-CVE-2020-22017.patch
Patch29:        ffmpeg-CVE-2020-22020.patch
Patch30:        ffmpeg-CVE-2020-22021.patch
Patch31:        ffmpeg-CVE-2020-22022.patch
Patch32:        ffmpeg-CVE-2020-22023.patch
Patch33:        ffmpeg-CVE-2020-22025.patch
Patch34:        ffmpeg-CVE-2020-22026.patch
Patch35:        ffmpeg-CVE-2020-22031.patch
Patch36:        ffmpeg-CVE-2020-22032.patch
Patch37:        ffmpeg-CVE-2020-22033.patch
Patch38:        ffmpeg-CVE-2020-22034.patch
Patch39:        ffmpeg-CVE-2020-22038.patch
Patch40:        ffmpeg-CVE-2020-22039.patch
Patch41:        ffmpeg-CVE-2020-22043.patch
Patch42:        ffmpeg-CVE-2020-22044.patch
Patch43:        ffmpeg-CVE-2019-9721.patch
Patch44:        ffmpeg-CVE-2020-22046.patch
Patch45:        ffmpeg-CVE-2020-22048.patch
Patch46:        ffmpeg-CVE-2020-22049.patch
Patch47:        ffmpeg-CVE-2020-22054.patch
Patch48:        ffmpeg-CVE-2021-38114.patch
Patch49:        ffmpeg-CVE-2020-21688.patch
Patch50:        ffmpeg-CVE-2020-21697.patch
Patch51:        ffmpeg-CVE-2021-38171.patch
Patch52:        ffmpeg-CVE-2020-22042.patch
Patch53:        ffmpeg-CVE-2020-20891.patch
Patch54:        ffmpeg-CVE-2020-20892.patch
Patch55:        ffmpeg-CVE-2020-20895.patch
Patch56:        ffmpeg-CVE-2020-20896.patch
Patch57:        ffmpeg-CVE-2020-20899.patch
Patch58:        ffmpeg-CVE-2020-20902.patch
Patch59:        ffmpeg-CVE-2020-22037.patch
Patch60:        ffmpeg-CVE-2020-35965.patch
Patch61:        ffmpeg-CVE-2021-3566.patch
Patch62:        ffmpeg-CVE-2021-38094.patch
Patch63:        ffmpeg-CVE-2022-3109.patch
Patch64:        ffmpeg-CVE-2019-13390.patch
Patch65:        ffmpeg-CVE-2022-3341.patch
Patch66:        ffmpeg-CVE-2022-48434.patch
Patch67:        ffmpeg-CVE-2021-28429.patch
Patch68:	ffmpeg-fix-new-binutils.patch
# PATCH-FIX-UPSTREAM ffmpeg-CVE-2023-49502.patch CVE-2023-49502 bsc#1223235 qzhao@suse.com -- Adjusts the logic to consider the chroma planes and makes the change to all three bwdif implementations.
Patch69:        ffmpeg-CVE-2023-49502.patch
# PATCH-FIX-UPSTREAM ffmpeg-CVE-2024-31578.patch CVE-2024-31578 bsc#1223070 qzhao@suse.com -- Fix heap use after free when vulkan_frames_init failed.
Patch70:        ffmpeg-CVE-2024-31578.patch
# PATCH-FIX-UPSTREAM ffmpeg-CVE-2023-50010.patch CVE-2023-50010 bsc#1223256 qzhao@suse.com -- fixes the out of array access.
Patch71:        ffmpeg-CVE-2023-50010.patch
BuildRequires:  ladspa-devel
BuildRequires:  libgsm-devel
BuildRequires:  libmp3lame-devel
BuildRequires:  nasm
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(celt) >= 0.11.0
BuildRequires:  pkgconfig(enca)
BuildRequires:  pkgconfig(fontconfig) >= 2.4.2
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(fribidi) >= 0.19.0
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libass)
BuildRequires:  pkgconfig(libbluray)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(libcdio_paranoia)
BuildRequires:  pkgconfig(libdc1394-2)
BuildRequires:  pkgconfig(liboil-0.3) >= 0.3.15
BuildRequires:  pkgconfig(libopenjpeg)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libraw1394)
BuildRequires:  pkgconfig(libva) >= 0.35.0
BuildRequires:  pkgconfig(libwebp) >= 0.4
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(theora) >= 1.1
BuildRequires:  pkgconfig(twolame)
BuildRequires:  pkgconfig(vdpau)
%if %{with vidstab}
BuildRequires:  pkgconfig(vidstab) >= 0.98
%endif
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(vpx) >= 1.3.0
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-render)
BuildRequires:  pkgconfig(xcb-shape)
BuildRequires:  pkgconfig(xcb-shm)
BuildRequires:  pkgconfig(xcb-xfixes)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(zvbi-0.2)
%if 0%{?BUILD_ORIG}
%if %{with fdk_aac}
BuildRequires:  pkgconfig(fdk-aac)
%endif
%if %{with librtmp}
BuildRequires:  pkgconfig(librtmp)
%endif
%if %{with xvid}
BuildRequires:  libxvidcore-devel
%endif
%if %{with opencore}
BuildRequires:  pkgconfig(opencore-amrnb)
%endif
%if %{with x264}
BuildRequires:  pkgconfig(x264)
%endif
%if %{with x265}
BuildRequires:  pkgconfig(x265)
%endif
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       ffmpeg-tools = %{version}
Obsoletes:      ffmpeg-tools < %{version}
Requires:       libavcodec57 = %version-%release
Requires:       libavdevice57 = %version-%release
Requires:       libavfilter6 = %version-%release
Requires:       libavformat57 = %version-%release
Requires:       libavresample3 = %version-%release
Requires:       libavutil55 = %version-%release
Requires:       libpostproc54 = %version-%release
Requires:       libswresample2 = %version-%release
Requires:       libswscale4 = %version-%release

%description
FFmpeg is a multimedia framework, able to decode, encode,
transcode, mux, demux, stream, filter and play several formats
that humans and machines have created.
%if !0%{?BUILD_ORIG}

This build of ffmpeg is limited in the number of codecs supported.
%endif

%package -n libavcodec57
Summary:        FFmpeg codec library
# For mozillas
Group:          System/Libraries
Requires:       libavutil55 = %version-%release
Requires:       libswresample2 = %version-%release
Provides:       libavcodec = %version-%release
%if 0%{?BUILD_ORIG}
Provides:       libavcodec-full = %version-%release
# This can be required by packages likes vlc-codecs - following the shlib name to not get random lib providers
Provides:       libavcodec57(unrestricted)
%endif

%description -n libavcodec57
The libavcodec library provides a generic encoding/decoding framework
and contains multiple decoders and encoders for audio, video and
subtitle streams, and several bitstream filters.
%if !0%{?BUILD_ORIG}

This build of ffmpeg is limited in the number of codecs supported.
%endif

%package -n libavcodec-devel
Summary:        Development files for FFmpeg's codec library
Group:          Development/Libraries/C and C++
Requires:       libavcodec57 = %version-%release
Requires:       libavresample-devel = %version-%release
Requires:       libavutil-devel = %version-%release

%description -n libavcodec-devel
The libavcodec library provides a generic encoding/decoding framework
and contains multiple decoders and encoders for audio, video and
subtitle streams, and several bitstream filters.

This subpackage contains the headers for FFmpeg libavcodec.

%package -n libavdevice57
Summary:        FFmpeg device library
Group:          System/Libraries
Requires:       libavcodec57 = %version-%release
Requires:       libavfilter6 = %version-%release
Requires:       libavformat57 = %version-%release
Requires:       libavutil55 = %version-%release

%description -n libavdevice57
The libavdevice library provides a generic framework for grabbing from
and rendering to many common multimedia input/output devices, and
supports several input and output devices, including Video4Linux2, VfW,
DShow, and ALSA.

%package -n libavdevice-devel
Summary:        Development files for FFmpeg's device library
Group:          Development/Libraries/C and C++
Provides:       ffmpeg-devel = %version
Obsoletes:      ffmpeg-devel < %version
Requires:       libavcodec-devel = %version-%release
Requires:       libavdevice57 = %version-%release
Requires:       libavfilter-devel = %version-%release
Requires:       libavformat-devel = %version-%release
Requires:       libavresample-devel = %version-%release
Requires:       libavutil-devel = %version-%release
Requires:       libpostproc-devel = %version-%release
Requires:       libswresample-devel = %version-%release
Requires:       libswscale-devel = %version-%release

%description -n libavdevice-devel
The libavdevice library provides a generic framework for grabbing from
and rendering to many common multimedia input/output devices, and
supports several input and output devices, including Video4Linux2, VfW,
DShow, and ALSA.

This subpackage contains the headers for FFmpeg libavcodec.

%package -n libavfilter6
Summary:        FFmpeg audio and video filtering library
Group:          System/Libraries
Requires:       libavcodec57 = %version-%release
Requires:       libavformat57 = %version-%release
Requires:       libavresample3 = %version-%release
Requires:       libavutil55 = %version-%release
Requires:       libpostproc54 = %version-%release
Requires:       libswresample2 = %version-%release
Requires:       libswscale4 = %version-%release

%description -n libavfilter6
The libavfilter library provides a generic audio/video filtering
framework containing several filters, sources and sinks.

%package -n libavfilter-devel
Summary:        Development files for FFmpeg's audio/video filter library
Group:          Development/Libraries/C and C++
Requires:       libavcodec-devel = %version-%release
Requires:       libavfilter6 = %version-%release
Requires:       libavformat-devel = %version-%release
Requires:       libavresample-devel = %version-%release
Requires:       libavutil-devel = %version-%release
Requires:       libpostproc-devel = %version-%release
Requires:       libswresample-devel = %version-%release
Requires:       libswscale-devel = %version-%release

%description -n libavfilter-devel
The libavfilter library provides a generic audio/video filtering
framework containing several filters, sources and sinks.

This subpackage contains the headers for FFmpeg libavfilter.

%package -n libavformat57
Summary:        FFmpeg's stream format library
Group:          System/Libraries
Requires:       libavcodec57 = %version-%release
Requires:       libavutil55 = %version-%release

%description -n libavformat57
The libavformat library provides a generic framework for multiplexing
and demultiplexing (muxing and demuxing) audio, video and subtitle
streams. It encompasses multiple muxers and demuxers for multimedia
container formats.
%if !0%{?BUILD_ORIG}

This build of ffmpeg is limited in the number of codecs supported.
%endif

%package -n libavformat-devel
Summary:        Development files for FFmpeg's stream format library
Group:          Development/Libraries/C and C++
Requires:       libavcodec-devel = %version-%release
Requires:       libavformat57 = %version-%release
Requires:       libavutil-devel = %version-%release
Requires:       libswresample-devel = %version-%release

%description -n libavformat-devel
The libavformat library provides a generic framework for multiplexing
and demultiplexing (muxing and demuxing) audio, video and subtitle
streams. It encompasses multiple muxers and demuxers for multimedia
container formats.

This subpackage contains the headers for FFmpeg libavformat.

%package -n libavresample3
Summary:        FFmpeg alternate audio resampling library
Group:          System/Libraries
Requires:       libavutil55 = %version-%release

%description -n libavresample3
An audio resampling library that is being provided for drop-in
compatibility with libav.

It is advised to use libswresample for new code.

%package -n libavresample-devel
Summary:        Development files for libavresample as present in FFmpeg
Group:          Development/Libraries/C and C++
Requires:       libavresample3 = %version-%release
Requires:       libavutil-devel = %version-%release

%description -n libavresample-devel
An audio resampling library that is being provided for drop-in
compatibility with libav.

It is advised to use libswresample for new code.

This subpackage contains the headers for FFmpeg's copy of libavresample.

%package -n libavutil55
Summary:        FFmpeg's utility library
Group:          System/Libraries

%description -n libavutil55
The libavutil library is a utility library to aid portable multimedia
programming. It contains safe portable string functions, random
number generators, data structures, additional mathematics functions,
cryptography and multimedia related functionality (like enumerations
for pixel and sample formats).

%package -n libavutil-devel
Summary:        Development files for FFmpeg's utility library
Group:          Development/Libraries/C and C++
Requires:       libavutil55 = %version-%release

%description -n libavutil-devel
The libavutil library is a utility library to aid portable multimedia
programming. It contains safe portable string functions, random
number generators, data structures, additional mathematics functions,
cryptography and multimedia related functionality (like enumerations
for pixel and sample formats).

This subpackage contains the headers for FFmpeg libavutil.

%package -n libpostproc54
Summary:        FFmpeg post-processing library
Group:          System/Libraries
Requires:       libavutil55 = %version-%release

%description -n libpostproc54
A library with video postprocessing filters, such as deblocking and
deringing filters, noise reduction, automatic contrast and brightness
correction, linear/cubic interpolating deinterlacing.

%package -n libpostproc-devel
Summary:        Development files for the FFmpeg post-processing library
Group:          Development/Libraries/C and C++
Requires:       libavutil-devel = %version-%release
Requires:       libpostproc54 = %version-%release

%description -n libpostproc-devel
A library with video postprocessing filters, such as deblocking and
deringing filters, noise reduction, automatic contrast and brightness
correction, linear/cubic interpolating deinterlacing.

This subpackage contains the headers for FFmpeg libpostproc.

%package -n libswresample2
Summary:        FFmpeg software resampling library
Group:          System/Libraries
Requires:       libavutil55 = %version-%release

%description -n libswresample2
The libswresample library performs audio conversion between different
sample rates, channel layout and channel formats.

%package -n libswresample-devel
Summary:        Development files for the FFmpeg software resampling library
Group:          Development/Libraries/C and C++
Requires:       libavutil-devel = %version-%release
Requires:       libswresample2 = %version-%release

%description -n libswresample-devel
The libswresample library performs audio conversion between different
sample rates, channel layout and channel formats.

This subpackage contains the headers for FFmpeg libswresample.

%package -n libswscale4
Summary:        FFmpeg image scaling and colorspace/pixel conversion library
Group:          System/Libraries
Requires:       libavutil55 = %version-%release

%description -n libswscale4
The libswscale library performs image scaling and colorspace and
pixel format conversion operations.

%package -n libswscale-devel
Summary:        Development files for FFmpeg's image scaling and colorspace library
Group:          Development/Libraries/C and C++
Requires:       libavutil-devel = %version-%release
Requires:       libswscale4 = %version-%release

%description -n libswscale-devel
The libswscale library performs image scaling and colorspace and
pixel format conversion operations.

This subpackage contains the headers for FFmpeg libswscale.

%package private-devel
Summary:        Some FFmpeg private headers
Group:          Development/Libraries/C and C++
Requires:       libavcodec-devel = %version-%release
Requires:       libavformat-devel = %version-%release
Requires:       libavutil-devel = %version-%release

%description private-devel
FFmpeg is a multimedia framework, able to decode, encode,
transcode, mux, demux, stream, filter and play several formats
that humans and machines have created.

This package contains some private headers for libavformat, libavcodec and
libavutil which are needed by libav-tools to build. No other package apart
from libav should depend on these private headers which are expected to
break compatibility without any notice.

%prep
%setup -q
%patch -P 1 -P 2 -P 3 -P 4 -P 5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
%patch71 -p1

%build
perl -i -pe 's{__TIME__|__DATE__}{"$&"}g' *.c

CFLAGS="%optflags" \
./configure \
	--prefix="%_prefix" --libdir="%_libdir" --shlibdir="%_libdir" \
	--incdir="%_includedir/ffmpeg" \
	--extra-cflags="%optflags" --optflags="%optflags" \
	--disable-htmlpages \
	--enable-pic --disable-stripping \
	--enable-shared --disable-static \
	--enable-gpl \
	--disable-openssl \
	--enable-avresample \
	--enable-libcdio \
	--enable-gnutls \
	--enable-ladspa \
%if ! %{with nvidia}
	--disable-cuda \
	--disable-cuvid \
%endif
	--enable-libass \
	--enable-libbluray \
	--enable-libcelt \
	--enable-libcdio \
	--enable-libdc1394 \
	--enable-libfreetype \
	--enable-libgsm \
	--enable-libmp3lame \
	--enable-libopenjpeg \
	--enable-libopus \
	--enable-libpulse \
	--enable-libspeex \
	--enable-libtheora \
	--enable-libtwolame \
%if %{with vidstab}
	--enable-libvidstab \
%endif
	--enable-libvorbis \
	--enable-libvpx \
	--enable-libwebp \
	--enable-libzvbi \
	--enable-vaapi \
	--enable-vdpau \
%if 0%{?BUILD_ORIG}
%if %{with fdk_aac}
	--enable-libfdk_aac --enable-nonfree \
%endif
%if %{with opencore}
	--enable-libopencore-amrnb \
	--enable-libopencore-amrwb \
	--enable-version3 \
%endif
%if %{with x264}
	--enable-libx264 \
%endif
%if %{with x265}
	--enable-libx265 \
%endif
%if %{with xvid}
	--enable-libxvid \
%endif
%else
	--enable-muxers \
	--enable-demuxers \
	--disable-encoders \
	--disable-decoders \
	--disable-decoder=mpeg4,h263,h264,hevc,vc1 \
	--enable-encoder="$(perl -pe 's{^(\w*).*}{$1,}gs' <%_sourcedir/enable_encoders)" \
	--enable-decoder="$(perl -pe 's{^(\w*).*}{$1,}gs' <%_sourcedir/enable_decoders)" \

for i in MPEG4 H263 H264 HEVC VC1; do
	grep -q "#define CONFIG_${i}_DECODER 0" config.h
done
%endif

cat config.h
make %{?_smp_mflags} V=1

%global extratools aviocat cws2fws ffescape ffeval ffhash fourcc2pixfmt graph2dot ismindex pktdumper probetest qt-faststart seek_print sidxindex trasher

for i in %extratools; do
	make "tools/$i"
done

%install
b="%buildroot"
%make_install install-man
rm -Rf "$b/%_datadir/ffmpeg/examples"
for i in %extratools; do
	cp -a "tools/$i" "$b/%_bindir/"
done

# Install private headers required by libav-tools
for i in libavformat/options_table.h libavformat/os_support.h \
  libavformat/internal.h libavcodec/options_table.h libavutil/libm.h \
  libavutil/internal.h libavutil/colorspace.h libavutil/timer.h \
  libavutil/x86/emms.h libavutil/aarch64/timer.h libavutil/arm/timer.h \
  libavutil/bfin/timer.h libavutil/ppc/timer.h libavutil/x86/timer.h; do
	mkdir -p "$b/%_includedir/ffmpeg/private/"`dirname $i`
	cp -a $i "$b/%_includedir/ffmpeg/private/$i"
done

%post   -n libavcodec57 -p /sbin/ldconfig
%postun -n libavcodec57 -p /sbin/ldconfig
%post   -n libavdevice57 -p /sbin/ldconfig
%postun -n libavdevice57 -p /sbin/ldconfig
%post   -n libavfilter6 -p /sbin/ldconfig
%postun -n libavfilter6 -p /sbin/ldconfig
%post   -n libavformat57 -p /sbin/ldconfig
%postun -n libavformat57 -p /sbin/ldconfig
%post   -n libavresample3 -p /sbin/ldconfig
%postun -n libavresample3 -p /sbin/ldconfig
%post   -n libavutil55 -p /sbin/ldconfig
%postun -n libavutil55 -p /sbin/ldconfig
%post   -n libpostproc54 -p /sbin/ldconfig
%postun -n libpostproc54 -p /sbin/ldconfig
%post   -n libswresample2 -p /sbin/ldconfig
%postun -n libswresample2 -p /sbin/ldconfig
%post   -n libswscale4 -p /sbin/ldconfig
%postun -n libswscale4 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/ffserver.conf Changelog COPYING.GPLv2 CREDITS LICENSE.md README.md
%_bindir/*
%_mandir/man1/ff*.1*
%_datadir/ffmpeg/

%files -n libavcodec57
%defattr(-,root,root)
%_libdir/libavcodec.so.*

%files -n libavdevice57
%defattr(-,root,root)
%_libdir/libavdevice.so.*

%files -n libavfilter6
%defattr(-,root,root)
%_libdir/libavfilter.so.*

%files -n libavformat57
%defattr(-,root,root)
%_libdir/libavformat.so.*

%files -n libavresample3
%defattr(-,root,root)
%_libdir/libavresample.so.*

%files -n libavutil55
%defattr(-,root,root)
%_libdir/libavutil.so.*

%files -n libpostproc54
%defattr(-,root,root)
%_libdir/libpostproc.so.*

%files -n libswresample2
%defattr(-,root,root)
%_libdir/libswresample.so.*

%files -n libswscale4
%defattr(-,root,root)
%_libdir/libswscale.so.*

%files -n libavcodec-devel
%defattr(-,root,root)
%dir %_includedir/ffmpeg/
%_includedir/ffmpeg/libavcodec/
%_libdir/libavcodec.so
%_libdir/pkgconfig/libavcodec.pc
%_mandir/man3/libavcodec.3*

%files -n libavdevice-devel
%defattr(-,root,root)
%dir %_includedir/ffmpeg/
%_includedir/ffmpeg/libavdevice/
%_libdir/libavdevice.so
%_libdir/pkgconfig/libavdevice.pc
%_mandir/man3/libavdevice.3*

%files -n libavfilter-devel
%defattr(-,root,root)
%dir %_includedir/ffmpeg/
%_includedir/ffmpeg/libavfilter/
%_libdir/libavfilter.so
%_libdir/pkgconfig/libavfilter.pc
%_mandir/man3/libavfilter.3*

%files -n libavformat-devel
%defattr(-,root,root)
%dir %_includedir/ffmpeg/
%_includedir/ffmpeg/libavformat/
%_libdir/libavformat.so
%_libdir/pkgconfig/libavformat.pc
%_mandir/man3/libavformat.3*

%files -n libavresample-devel
%defattr(-,root,root)
%dir %_includedir/ffmpeg/
%_includedir/ffmpeg/libavresample/
%_libdir/libavresample.so
%_libdir/pkgconfig/libavresample.pc

%files -n libavutil-devel
%defattr(-,root,root)
%dir %_includedir/ffmpeg/
%_includedir/ffmpeg/libavutil/
%_libdir/libavutil.so
%_libdir/pkgconfig/libavutil.pc
%_mandir/man3/libavutil.3*

%files -n libpostproc-devel
%defattr(-,root,root)
%dir %_includedir/ffmpeg/
%_includedir/ffmpeg/libpostproc/
%_libdir/libpostproc.so
%_libdir/pkgconfig/libpostproc.pc

%files -n libswresample-devel
%defattr(-,root,root)
%dir %_includedir/ffmpeg/
%_includedir/ffmpeg/libswresample/
%_libdir/libswresample.so
%_libdir/pkgconfig/libswresample.pc
%_mandir/man3/libswresample.3*

%files -n libswscale-devel
%defattr(-,root,root)
%dir %_includedir/ffmpeg/
%_includedir/ffmpeg/libswscale/
%_libdir/libswscale.so
%_libdir/pkgconfig/libswscale.pc
%_mandir/man3/libswscale.3*

%files private-devel
%defattr(-,root,root)
%_includedir/ffmpeg/private/

%changelog
* Sat Apr 27 2024 qzhao@suse.com
- Add ffmpeg-CVE-2023-50010.patch:
  Backporting e4d2666b from upstream, fixes the out of array access.
  (CVE-2023-50010 bsc#1223256)
* Fri Apr 19 2024 qzhao@suse.com
- Add ffmpeg-CVE-2024-31578.patch:
  Backporting ab0fdaed from upstream, Fix heap use after free when
  vulkan_frames_init failed.
  (CVE-2024-31578 bsc#1223070)
* Wed Apr 10 2024 qzhao@suse.com
- Add ffmpeg-CVE-2023-49502.patch
  Backporting 737ede40 from upstream, Adjusts the logic to consider
  the chroma planes and makes the change to all three bwdif
  implementations.
  (CVE-2023-49502 bsc#1223235)
* Tue Feb  6 2024 meissner@suse.com
- ffmpeg-fix-new-binutils.patch: fix build with new binutils
* Wed Aug 30 2023 songchuan.kang@suse.com
- Add ffmpeg-CVE-2021-28429.patch: Fix Integer overflow
  vulnerability in av_timecode_make_string in libavutil/timecode.c
  (bsc#1214246, CVE-2021-28429).
* Thu Apr 27 2023 alynx.zhou@suse.com
- Add ffmpeg-CVE-2022-48434.patch: Backport from upstream to fix
  use after free in libavcodec/pthread_frame.c (bsc#1209934).
* Fri Jan 20 2023 alynx.zhou@suse.com
- Add ffmpeg-CVE-2022-3341.patch: Backport from upstream to fix
  null pointer dereference in decode_main_header() in
  libavformat/nutdec.c (bsc#1206778).
* Wed Jan 18 2023 alynx.zhou@suse.com
- Add ffmpeg-CVE-2019-13390.patch: Backport from upstream to fix
  division by zero at adx_write_trailer in libavformat/rawenc.c
  (bsc#1140754).
* Mon Dec 26 2022 alynx.zhou@suse.com
- Add ffmpeg-CVE-2022-3109.patch: Backport from upstream to fix
  null pointer dereference in vp3_decode_frame() (bsc#1206442).
* Thu Oct 14 2021 alynx.zhou@suse.com
- Add ffmpeg-CVE-2021-38094.patch: Backport from upstream to fix
  integer overflow vulnerability in function filter_sobel in
  libavfilter/vf_convolution.c (bsc#1190735, bsc#1190734,
  bsc#1190733, bsc#1190724, bsc#1190731, bsc#1190732,
  CVE-2021-38094, CVE-2021-38093, CVE-2021-38092, CVE-2020-20898,
  CVE-2021-38090, CVE-2021-38091).
- Add ffmpeg-CVE-2020-22037.patch: Backport from upstream to fix
  denial of service vulnerability exists due to a memory leak in
  avcodec_alloc_context3 at options.c (bsc#1186756).
- Add ffmpeg-CVE-2021-3566.patch: Backport from upstream to fix
  exposure of sensitive information on ffmpeg version prior to 4.3
  (bsc#1189166).
- Add ffmpeg-CVE-2020-35965.patch: Backport from upstream to fix
  out-of-bounds write in decode_frame in libavcodec/exr.c
  (bsc#1187852).
- Add ffmpeg-CVE-2020-20892.patch: Backport from upstream to fix
  an issue was discovered in function filter_frame in
  libavfilter/vf_lenscorrection.c (bsc#1190719).
- Add ffmpeg-CVE-2020-20891.patch: Backport from upstream to fix
  buffer overflow vulnerability in function config_input in
  libavfilter/vf_gblur.c (bsc#1190718).
- Add ffmpeg-CVE-2020-20895.patch: Backport from upstream to fix
  buffer overflow vulnerability in function
  filter_vertically_##name in libavfilter/vf_avgblur.c
  (bsc#1190722).
- Add ffmpeg-CVE-2020-20896.patch: Backport from upstream to fix
  an issue was discovered in function latm_write_packet in
  libavformat/latmenc.c (bsc#1190723).
- Add ffmpeg-CVE-2020-20899.patch: Backport from upstream to fix
  buffer overflow vulnerability in function config_props in
  libavfilter/vf_bwdif.c (bsc#1190726).
- Add ffmpeg-CVE-2020-20902.patch: Backport from upstream to fix
  out-of-bounds read vulnerability exists in long_term_filter
  function in g729postfilter.c (bsc#1190729).
* Mon Sep 27 2021 alynx.zhou@suse.com
- Add ffmpeg-CVE-2020-22042.patch: Backport from upstream to fix
  denial of service vulnerability exists due to a memory leak is
  affected by: memory leak in the link_filter_inouts function in
  libavfilter/graphparser.c (bsc#1186761).
* Wed Sep  1 2021 alynx.zhou@suse.com
- Add ffmpeg-CVE-2021-38171.patch: Backport from upstream to fix
  adts_decode_extradata in libavformat/adtsenc.c in FFmpeg 4.4
  does not check the init_get_bits return value (bsc#1189724).
* Thu Aug 12 2021 alynx.zhou@suse.com
- Add ffmpeg-CVE-2020-21688.patch: Backport from upstream to fix
  a heap-use-after-free in the av_freep function in libavutil/mem.c
  of FFmpeg 4.2 allows attackers to execute arbitrary code
  (bsc#1189348).
- Add ffmpeg-CVE-2020-21697.patch: Backport from upstream to fix
  a heap-use-after-free in the mpeg_mux_write_packet function in
  libavformat/mpegenc.c of FFmpeg 4.2 allows to cause a denial of
  service (DOS) via a crafted avi file (bsc#1189350).
- Add ffmpeg-CVE-2021-38114.patch: Backport from upstream to fix
  the return value of the init_vlc function is not checked
  (bsc#1189142).
* Wed Jul  7 2021 alynx.zhou@suse.com
- Add ffmpeg-CVE-2019-9721.patch: Backport from upstream to fix
  denial of service in the subtitle decoder in handle_open_brace
  from libavcodec/htmlsubtitles.c (bsc#1129714).
- Add ffmpeg-CVE-2020-22046.patch: Backport from upstream to fix
  a denial of service vulnerability exists in FFmpeg 4.2 due to
  a memory leak in the avpriv_float_dsp_allocl function in
  libavutil/float_dsp.c (bsc#1186849).
- Add ffmpeg-CVE-2020-22048.patch: Backport from upstream to fix
  a denial of service vulnerability exists in FFmpeg 4.2 due to
  a memory leak in the ff_frame_pool_get function in framepool.c
  (bsc#1186859).
- Add ffmpeg-CVE-2020-22049.patch: Backport from upstream to fix
  a denial of service vulnerability exists in FFmpeg 4.2 due to
  a memory leak in the wtvfile_open_sector function in wtvdec.c
  (bsc#1186861).
- Add ffmpeg-CVE-2020-22054.patch: Backport from upstream to fix
  a denial of service vulnerability exists in FFmpeg 4.2 due to
  a memory leak in the av_dict_set function in dict.c
  (bsc#1186863).
* Fri Jun 25 2021 alynx.zhou@suse.com
- Add ffmpeg-CVE-2020-13904.patch: Backport from upstream to fix
  use-after-free via a crafted EXTINF duration in an m3u8 file
  (bsc#1172640).
- Add ffmpeg-CVE-2020-21041.patch: Backport from upstream to fix
  buffer overflow vulnerability via apng_do_inverse_blend in
  libavcodec/pngenc.c  (bsc#1186406).
- Add ffmpeg-CVE-2019-17539.patch: Backport from upstream to fix
  NULL pointer dereference in avcodec_open2 in libavcodec/utils.c
  (bsc# 1154065).
- Add ffmpeg-CVE-2020-22026.patch: Backport from upstream to fix
  buffer overflow vulnerability exists in config_input() at
  libavfilter/af_tremolo.c (bsc#1186583).
- Add ffmpeg-CVE-2020-22021.patch: Backport from upstream to fix
  buffer overflow vulnerability in filter_edges function in
  libavfilter/vf_yadif.c (bsc#1186586).
- Add ffmpeg-CVE-2020-22020.patch: Backport from upstream to fix
  buffer overflow vulnerability in build_diff_map() in
  libavfilter/vf_fieldmatch.c (bsc#1186587).
- Add ffmpeg-CVE-2020-22015.patch: Backport from upstream to fix
  buffer overflow vulnerability in mov_write_video_tag() due to
  the out of bounds in libavformat/movenc.c (bsc#1186596).
- Add ffmpeg-CVE-2020-22016.patch: Backport from upstream to fix
  a heap-based Buffer Overflow vulnerability at
  libavcodec/get_bits.h when writing .mov files (bsc#1186598).
- Add ffmpeg-CVE-2020-22017.patch: Backport from upstream to fix
  a heap-based Buffer Overflow vulnerability exists in
  ff_fill_rectangle() in libavfilter/drawutils.c (bsc#1186600).
- Add ffmpeg-CVE-2020-22022.patch: Backport from upstream to fix
  a heap-based Buffer Overflow vulnerability exists in
  filter_frame at libavfilter/vf_fieldorder.c (bsc#1186603,
  bsc#1190728, CVE-2020-22022, CVE-2020-20901).
- Add ffmpeg-CVE-2020-22023.patch: Backport from upstream to fix
  a heap-based Buffer Overflow vulnerability exists in
  filter_frame at libavfilter/vf_bitplanenoise.c (bsc#1186604)
- Add ffmpeg-CVE-2020-22025.patch: Backport from upstream to fix
  a heap-based Buffer Overflow vulnerability exists in
  gaussian_blur at libavfilter/vf_edgedetect.c (bsc#1186605,
  bsc#1190721, CVE-2020-22025, CVE-2020-20894).
- Add ffmpeg-CVE-2020-22031.patch: Backport from upstream to fix
  a heap-based Buffer Overflow vulnerability exists at
  libavfilter/vf_w3fdif.c in filter16_complex_low()
  (bsc#1186613).
- Add ffmpeg-CVE-2020-22032.patch: Backport from upstream to fix
  a heap-based Buffer Overflow vulnerability exists at
  libavfilter/vf_edgedetect.c in gaussian_blur() (bsc#1186614,
  bsc#1190727, CVE-2020-22032, CVE-2020-20900).
- Add ffmpeg-CVE-2020-22033.patch: Backport from upstream to fix
  a heap-based Buffer Overflow Vulnerability exists at
  libavfilter/vf_vmafmotion.c in convolution_y_8bit()
  (CVE-2020-22033) and buffer overflow vulnerability in
  convolution_y_10bit() in libavfilter/vf_vmafmotion.c
  (CVE-2020-22019) (bsc#1186615, bsc#1186597).
- Add ffmpeg-CVE-2020-22034.patch: Backport from upstream to fix
  a heap-based Buffer Overflow vulnerability exists at
  libavfilter/vf_floodfill.c (bsc#1186616).
- Add ffmpeg-CVE-2020-20451.patch: Backport from upstream to fix
  denial of service issue due to resource management errors via
  fftools/cmdutils.c (bsc#1186658).
- Add ffmpeg-CVE-2020-20448.patch: Backport from upstream to fix
  divide by zero issue via libavcodec/ratecontrol.c
  (bsc#1186660).
- Add ffmpeg-CVE-2020-22038.patch: Backport from upstream to fix
  denial of service vulnerability exists due to a memory leak in
  the ff_v4l2_m2m_create_context function in v4l2_m2m.c
  (bsc#1186757).
- Add ffmpeg-CVE-2020-22039.patch: Backport from upstream to fix
  denial of service vulnerability exists due to a memory leak in
  the inavi_add_ientry function (bsc#1186758).
- Add ffmpeg-CVE-2020-22043.patch: Backport from upstream to fix
  denial of service vulnerability exists due to a memory leak at
  the fifo_alloc_common function in libavutil/fifo.c
  (bsc#1186762).
- Add ffmpeg-CVE-2020-22044.patch: Backport from upstream to fix
  denial of service vulnerability exists due to a memory leak in
  the url_open_dyn_buf_internal function in
  libavformat/aviobuf.c (bsc#1186763).
* Tue Nov 19 2019 qzhao@suse.com
- Add ffmpeg-CVE-2019-17542.patch: Backport from upstream to fix
  a heap-based buffer overflow problem in vqa_decode_chunk
  (bnc#1154064 CVE-2019-17542).
* Mon Jul  8 2019 qzhao@suse.com
- Add ffmpeg-CVE-2018-13301.patch: Backport from upstream to fix
  a NULL pointer dereference while converting a crafted AVI file
  to MPEG4 in the ff_mpeg4_decode_picture_header function in
  libavcodec/mpeg4videodec.c(bnc#1100352).
* Wed Jun 12 2019 qzheng@suse.com
- Add ffmpeg-CVE-2019-9718.patch: Make backport from commit
  1f00c97 to fix a denial of service issue (CVE-2019-9718,
  boo#1129715).
* Mon Jun 10 2019 qzheng@suse.com
- Add ffmpeg-CVE-2019-12730.patch: Make backport from commit
  ed188f6 to check for scanf() failure (CVE-2019-12730,
  bsc#1137526).
* Thu Nov 15 2018 qzheng@suse.com
- Add ffmpeg-CVE-2018-14394.patch: Make backport from commit
  3a2d21b to fix a divide-by-zero issue (CVE-2018-14394,
  boo#1101888).
* Thu Nov 15 2018 qzheng@suse.com
- Add ffmpeg-CVE-2018-14395.patch: Make backport from commit
  fa19fbc to fix a divide-by-zero issue (CVE-2018-14395,
  boo#1101889).
* Tue Oct 23 2018 qzheng@suse.com
- Add ffmpeg-CVE-2018-13305.patch to add a missing check for
  negative values of the mqaunt variable (CVE-2018-13305,
  bsc#1100345).
- Rename cve-2017-17555.diff to ffmpeg-CVE-2017-17555.diff.
* Tue Oct 23 2018 qzheng@suse.com
- Add ffmpeg-CVE-2018-12458.patch: Make backport from commit
  e1182fa to fix an improper integer type (CVE-2018-12458,
  bsc#1097983).
* Mon Sep 17 2018 qzheng@suse.com
- Add ffmpeg-CVE-2018-13300.patch: Make backport from commit
  95556e2 to fix an out-of-array read (CVE-2018-13300, boo#1100348).
* Fri Sep 14 2018 qzheng@suse.com
- Add ffmpeg-CVE-2018-15822.patch: Make backport from commit
  6b67d7f to fix an assertion failure (CVE-2018-15822, boo#1105869).
* Fri Jul 27 2018 kbabioch@suse.com
- Added ffmpeg-CVE-2018-1999010.patch: Fixed multiple out of array access
  vulnerabilities in the mms protocol that could result in accessing out of
  bound data via specially crafted input files (CVE-2018-1999010 bnc#1102899).
- Added ffmpeg-CVE-2018-1999011.patch: Fixed a heap buffer overflow in asf_o
  format demuxer that could result in remote code execution (CVE-2018-1999011
  bnc#1102689)
- Added ffmpeg-CVE-2018-1999012.patch: Fix an inifnite loop vulnerability in
  pva format demuxer that can result in excessive amount of ressource
  allocation like CPU an RAM (CVE-2018-1999012 bnc#1102688).
- Added ffmpeg-CVE-2018-1999013.patch: Fix an use-after-free vulnerability in
  the realmedia demuxer that can result in vulnerability, which allowed
  attackers to read heap memory (CVE-2018-1999013, bnc#1102687).
* Fri Jul 20 2018 qzheng@suse.com
- Add ffmpeg-CVE-2018-13302.patch: Make backport from commit
  ed22dc2 to fix out of array access issue (bnc#1100356,
  CVE-2018-13302).
* Fri Mar 23 2018 alarrosa@suse.com
- Create a new package ffmpeg-private-devel which contains some
  headers under /usr/include/ffmpeg/private that were not installed
  by upstream. Those headers are needed by the libav package in order
  to build avconv and other tools using the libav* libraries generated
  by ffmpeg instead of its own. No other package should require
  ffmpeg-private-devel.
* Wed Mar 21 2018 alarrosa@suse.com
- Build and install also the sidxindex tool
* Tue Feb 20 2018 bjorn.lie@gmail.com
- Enable mpeg1video and mpeg2video in enable_decoders, and remove
  it from disable-decoders call given to configure, mpeg2 now
  available in openSUSE.
* Tue Feb 13 2018 nico.kruber@gmail.com
- enable video stabilization/deshaking via libvidstab (optional)
* Mon Feb 12 2018 jengelh@inai.de
- Update to new bugfix release 3.4.2
  * Fix integer overflows, multiplication overflows, undefined
    shifts, and verify buffer lengths.
  * avfilter/vf_transpose: Fix used plane count
    [boo#1078488, CVE-2018-6392]
  * avcodec/utvideodec: Fix bytes left check in decode_frame()
    [boo#1079368, CVE-2018-6621]
- Enable use of libzvbi for displaying teletext subtitles.
- Fixed a DoS in swri_audio_convert(), added cve-2017-17555.diff
  [boo#1072366, CVE-2017-17555].
* Mon Dec 11 2017 jengelh@inai.de
- Update to new bugfix release 3.4.1
  * Fixed integer overflows, division by zero, illegal bit shifts
  * Fixed the gmc_mmx function which failed to validate width
    and height [boo#1070762, CVE-2017-17081]
  * Fixed out-of-bounds in VC-2 encoder [boo#1069407, CVE-2017-16840]
  * ffplay: use SDL2 audio API
- Removed 0001-avcodec-x86-mpegvideodsp-Fix-signedness-bug-in-need_.patch
  (upstreamed).
* Fri Dec  1 2017 jengelh@inai.de
- Add 0001-avcodec-x86-mpegvideodsp-Fix-signedness-bug-in-need_.patch
  [boo#1070762]
* Thu Nov 30 2017 jslaby@suse.com
- install also doc/ffserver.conf
* Tue Oct 31 2017 jengelh@inai.de
- Get rid of ffmpeg-pkgconfig-version.patch.
* Mon Oct 16 2017 jengelh@inai.de
- Update to new upstream release 3.4
  * New video filters: deflicker, doublewave, lumakey, pixscope,
    oscilloscope, robterts, limiter, libvmaf, unpremultiply,
    tlut2, floodifll, pseudocolor, despill, convolve, vmafmotion.
  * New audio filters: afir, crossfeed, surround, headphone,
    superequalizer, haas.
  * Some video filters with several inputs now use a common set
    of options: blend, libvmaf, lut3d, overlay, psnr, ssim. They
    must always be used by name.
  * librsvg support for svg rasterization
  * spec-compliant VP9 muxing support in MP4
  * Remove the libnut and libschroedinger muxer/demuxer wrappers
  * drop deprecated qtkit input device (use avfoundation instead)
  * SUP/PGS subtitle muxer
  * VP9 tile threading support
  * KMS screen grabber
  * CUDA thumbnail filter
  * V4L2 mem2mem HW assisted codecs
  * Rockchip MPP hardware decoding
  * (Not in openSUSE builds, only original ones:)
  * Gremlin Digital Video demuxer and decoder
  * Additional frame format support for Interplay MVE movies
  * Dolby E decoder and SMPTE 337M demuxer
  * raw G.726 muxer and demuxer, left- and right-justified
  * NewTek NDI input/output device
  * FITS demuxer, muxer, decoder and encoder
- Fixed a double free in huffyuv [boo#1064577, CVE-2017-15186]
- Fixed an out-of-bounds in ffv1dec [boo#1066428, CVE-2017-15672]
- Fixed a denial of service in rtmppkt [boo#1082335, CVE-2017-11665]
* Tue Sep 12 2017 jengelh@inai.de
- Update to new upstream release 3.3.4.
  * avutil/pixdesc: fixed NULL deref in av_color_primaries_name
    [CVE-2017-14225] [boo#1058018]
  * avformat/asfdec: Fix DoS in asf_build_simple_index
    [CVE-2017-14223] [boo#1058019]
  * avformat/mov: Fix DoS in read_tfra
    [CVE-2017-14222] [boo#1058020].
- Dropped integrated patches:
  D 0001-avformat-hls-Fix-DoS-due-to-infinite-loop.patch
  D 0001-avformat-nsvdec-Fix-DoS-due-to-lack-of-eof-check-in-.patch
  D 0002-avformat-asfdec-Fix-DoS-due-to-lack-of-eof-check.patch
  D 0002-avformat-mxfdec-Fix-DoS-issues-in-mxf_read_index_ent.patch
  D 0003-avformat-cinedec-Fix-DoS-due-to-lack-of-eof-check.patch
  D 0003-avformat-mxfdec-Fix-Sign-error-in-mxf_read_primer_pa.patch
  D 0004-avformat-rmdec-Fix-DoS-due-to-lack-of-eof-check.patch
  D 0005-avformat-rl2-Fix-DoS-due-to-lack-of-eof-check.patch
  D 0006-avformat-mvdec-Fix-DoS-due-to-lack-of-eof-check.patch
* Thu Sep  7 2017 jengelh@inai.de
- Add 0001-avformat-nsvdec-Fix-DoS-due-to-lack-of-eof-check-in-.patch
  [CVE-2017-14171] [boo#1057539],
  0002-avformat-mxfdec-Fix-DoS-issues-in-mxf_read_index_ent.patch
  [CVE-2017-14170] [boo#1057537],
  0003-avformat-mxfdec-Fix-Sign-error-in-mxf_read_primer_pa.patch
  [CVE-2017-14169] [boo#1057536]
* Mon Sep  4 2017 jengelh@inai.de
- Add 0001-avformat-hls-Fix-DoS-due-to-infinite-loop.patch
  [CVE-2017-14058] [boo#1056762],
  0002-avformat-asfdec-Fix-DoS-due-to-lack-of-eof-check.patch
  [CVE-2017-14057] [boo#1056761],
  0003-avformat-cinedec-Fix-DoS-due-to-lack-of-eof-check.patch
  [CVE-2017-14059] [boo#1056763],
  0004-avformat-rmdec-Fix-DoS-due-to-lack-of-eof-check.patch
  [CVE-2017-14054] [boo#1056765],
  0005-avformat-rl2-Fix-DoS-due-to-lack-of-eof-check.patch
  (code not enabled in openSUSE, though in packman)
  [CVE-2017-14056] [boo#1056760],
  0006-avformat-mvdec-Fix-DoS-due-to-lack-of-eof-check.patch
  [CVE-2017-14055] [boo#1056766]
* Sat Aug 26 2017 jengelh@inai.de
- Unconditionalize celt, ass, openjpeg, webp, netcdf, libva, vdpau.
* Fri Aug 25 2017 olaf@aepfle.de
- Build unconditionally with lame and twolame
* Sun Jul 30 2017 jengelh@inai.de
- Update to maintenance release 3.3.3
  * Various fixes for integer overflows, too-large bit shifts
    and buffer length checks.
- Drop 0001-avcodec-apedec-Fix-integer-overflow.patch
  (included upstream)
* Tue Jul 18 2017 jengelh@inai.de
- Add 0001-avcodec-apedec-Fix-integer-overflow.patch
  to address CVE-2017-11399 [boo#1049095]
* Fri Jun 23 2017 davejplater@gmail.com
- Enabled cuda and cuvid for unrestricted build.
- Fixed typos in devel package descriptions.
* Wed Jun  7 2017 jengelh@inai.de
- Update to new upstream release 3.3.2
  * Various fixes for integer overflows and too-large bit shifts
* Wed May 31 2017 davejplater@gmail.com
- Disable cuda support to fix boo#1041794:
  ffmpeg 3.3. enablement of cuda prevents H264/avc1.4d400d videos
  from playing on Youtube
- Refreshed patches: ffmpeg-codec-choice.diff
  ffmpeg-libcdio_cdda-pkgconfig.patch
  ffmpeg-pkgconfig-version.patch and ffmpeg-new-coder-errors.diff
* Wed May 31 2017 jengelh@inai.de
- Add additional checks to ensure MPEG is off
* Fri May 19 2017 jengelh@inai.de
- Update to new upstream release 3.3.1
  * Fix uninitialized variables, signed integer overflow,
    excess shift operations. Add boundary checks.
* Tue Apr 18 2017 jengelh@inai.de
- Enable ac3 per request from idonmez
* Fri Apr 14 2017 jengelh@inai.de
- Update to new upstream release 3.3
  * EBU R128 implementation now within ffmpeg, not relying on
    external library anymore
  * New video filters "premultiply", "readeia608", "threshold",
    "midequalizer"
  * Support for spherical videos
  * New decoders: 16.8 and 24.0 floating point PCM, XPM
  * New demuxers: MIDI Sample Dump Standard, Sample Dump eXchange demuxer
  * MJPEG encoding uses Optimal Huffman tables now
  * Native Opus encoder
  * Support .mov with multiple sample description tables
  * Removed the legacy X11 screen grabber, use XCB instead
  * Removed asyncts filter (use af_aresample instead)
  * resolved CVE-2016-10190 [boo#1022920],
    CVE-2016-10191 [boo#1022921], CVE-2016-10192 [boo#1022922],
    CVE-2017-7859 [boo#1034183], CVE-2017-7862 [boo#1034181],
    CVE-2017-7863 [boo#1034179], CVE-2017-7865 [boo#1034177],
    CVE-2017-7866 [boo#1034176]
* Thu Apr 13 2017 idonmez@suse.com
- Enable mp3 decoding
* Sat Feb 18 2017 dimstar@opensuse.org
- Have libavcodec57 additionally provide libavcodec57(unrestricted)
  when building unrestricted: allow third party packages to require
  the unrestricted codec. The existing -full provides is not
  suitable as it can be provided by multiple libavcodec* packages,
  whereas we require a specific ABI version.
* Sat Feb 11 2017 jengelh@inai.de
- Update to new upstream release 3.2.4
  * lavf/mov.c: Avoid heap allocation wrap in mov_read_hdlr
  * lavf/mov.c: Avoid OOB in mov_read_udta_string()
  * lavf/mov.c: Avoid heap allocation wraps in mov_read_{senc,saiz}()
* Sat Feb 11 2017 olaf@aepfle.de
- Make sure each subpkg comes from the same src.rpm
* Tue Feb  7 2017 jengelh@inai.de
- Update to new upstream release 3.2.3
  * Maintenance release with bugfixes
  * ffplay: fix sws_scale possible out of bounds array access
- Drop version number from patch: ffmpeg-2.4.5-arm6l.patch ->
  ffmpeg-arm6l.diff
* Tue Jan  3 2017 olaf@aepfle.de
- Wrap netcdf support in build condtional because it is a drop-in pkg
* Tue Dec 20 2016 tchvatal@suse.com
- Enable all muxers and demuxers as they are just descriptor of format
  thus do not change the behaviour in any relevant way.
  * The best user now gets is proper interpretation of the format and
    failure to play it without proper de/encoder
  * Recommended by vlc team to be done this way :)
* Tue Dec  6 2016 jengelh@inai.de
- Update to new upstream release 3.2.2
  * avformat/rtmppkt: Check for packet size mismatches
  * avcodec/flacdec: Fix undefined shift in decode_subframe()
  * avcodec/flacdec: Fix signed integer overflow in
    decode_subframe_fixed()
  * avcodec/flacdsp_template: Fix undefined shift in
    flac_decorrelate_indep_c
* Sat Nov 26 2016 aloisio@gmx.com
- Update to version 3.2.1:
  * avcodec/aac_adtstoasc_bsf: validate and forward extradata
    if the stream is already ASC
  * libopusdec: default to stereo for invalid number of
    channels
  * sbgdec: prevent NULL pointer access
  * rmdec: validate block alignment
  * smacker: limit recursion depth of smacker_decode_bigtree
  * mxfdec: fix NULL pointer dereference in mxf_read_packet_old
  * ffmdec: validate codec parameters
  * avformat/mpeg: Adjust vid probe threshold to correct
    mis-detection
  * avcodec/avpacket: fix leak on realloc in
    av_packet_add_side_data()
  * avformat/apngenc: use the stream parameters extradata if
    available
  * ffprobe: fix crash in case -of is specified with an empty
    string
  * exr: fix out-of-bounds read
  * libschroedingerdec: fix leaking of framewithpts
  * filmstripdec: correctly check image dimensions
  * icodec: fix leaking pkt on error
  * dvbsubdec: fix division by zero in compute_default_clut
  * escape124: reject codebook size 0
  * mpegts: prevent division by zero
  * matroskadec: fix NULL pointer dereference in
    webm_dash_manifest_read_header
  * mxfdec: fix NULL pointer dereference
  * avcodec/mpeg4videodec: Workaround interlaced mpeg4 edge MC
    bug
  * avcodec/mpegvideo: Fix edge emu buffer overlap with
    interlaced mpeg4
  * avcodec/ituh263dec: Avoid spending a long time in slice
    sync
  * avcodec:  Check side data size before use
  * avformat/flvdec: Fix regression losing streams
* Fri Oct 28 2016 jengelh@inai.de
- Update to new upstream release 3.2
  * SDL2 output device and ffplay support
  * SDL1 output device and SDL1 support removed
  * New: libopenmpt demuxer, fifo muxer, True Audio (TTA) muxer
  * New filters: weave, gblur, avgblur, sobel, prewitt,
  vaguedenoiser, yuvtestsrc, lut2, hysteresis, maskedclamp,
  crystalizer, acrusher, bitplanenoise, sidedata, asidedata
  * Non-Local Means (nlmeans) denoising filter
  * 16-bit support in curves filter and selectivecolor filter
  * Added threads option per filter instance
  * The "curves" filter does not automatically insert points at x=0
  and x=1 anymore
  * Matroska muxer now writes CRC32 elements by default in all
  Level 1 elements
  * New "tee" protocol
  * VP8 in Ogg muxing
  * Floating point support in ALS decoder
  * Extended mov edit list support
  * Changed mapping of RTP MIME type G726 to codec g726le.
- Drop ffmpeg-fix-CONFIG_VC1DSP-changes.patch
  (no longer needed)
* Fri Oct 28 2016 olaf@aepfle.de
- Enable libfdk_aac if it is available at buildtime
* Sat Oct 22 2016 aloisio@gmx.com
- Update to version 3.1.5
  * avformat/mxfdec: Check size to avoid integer overflow in
    mxf_read_utf16_string()
  * avcodec/mpegvideo_enc: Clear mmx state in
    ff_mpv_reallocate_putbitbuffer()
  * avcodec/utils: Clear MMX state before returning from
    avcodec_default_execute*()
  * libopenjpegenc: fix out-of-bounds reads when filling the
    edges
  * libopenjpegenc: stop reusing image data buffer for
    openjpeg 2
  * avformat/utils: Update codec_id before using it in the
    parser init
  * ffmpeg: remove unused and errorneous AVFrame timestamp
    check
  * Support for MIPS cpu P6600
  * avutil/mips/generic_macros_msa: rename macro variable
    which causes segfault for mips r6
* Sat Oct  1 2016 aloisio@gmx.com
- Update to version 3.1.4
  * avformat/avidec: Check nb_streams in read_gab2_sub()
  * avformat/avidec: Remove ancient assert
  * avfilter/vf_colorspace: fix range for output colorspace
    option
  * lavc/mediacodecdec_h264: fix SODB escaping
  * avcodec/nvenc: fix const options for hevc gpu setting
  * avformat/avidec: Fix memleak with dv in avi
  * lavc/movtextdec.c: Avoid infinite loop on invalid data.
  * avcodec/ansi: Check dimensions
  * avcodec/cavsdsp: use av_clip_uint8() for idct
  * avformat/movenc: Check packet in mov_write_single_packet()
    too
  * avformat/movenc: Factor check_pkt() out
  * avformat/utils: fix timebase error in avformat_seek_file()
  * avcodec/g726: Add missing ADDB output mask
  * avcodec/avpacket: clear side_data_elems
  * avformat/movenc: Check first DTS similar to dts difference
  * avcodec/ccaption_dec: Use simple array instead of AVBuffer
  * avcodec/svq3: Reintroduce slice_type
  * avformat/mov: Fix potential integer overflow in
    mov_read_keys
  * swscale/swscale_unscaled: Try to fix
    Rgb16ToPlanarRgb16Wrapper() with slices
  * swscale/swscale_unscaled: Fix packed_16bpc_bswap() with
    slices
  * avformat/avidec: Fix infinite loop in avi_read_nikon()
  * lavf/utils: Avoid an overflow for huge negative durations.
  * avformat/hls: Fix handling of EXT-X-BYTERANGE streams over
    2GB
  * lavc/avpacket: Fix undefined behaviour, do not pass a null
    pointer to memcpy().
  * lavc/mjpegdec: Do not skip reading quantization tables.
  * cmdutils: fix implicit declaration of SetDllDirectory
    function
* Mon Aug 29 2016 stefan.bruens@rwth-aachen.de
- Fix linking errors for arm and aarch64 builds, boo#995937
  * Add ffmpeg-fix-CONFIG_VC1DSP-changes.patch
* Sat Aug 27 2016 aloisio@gmx.com
- Update to version 3.1.3
  * examples/demuxing_decoding: convert to codecpar
  * avcodec/exr: Check tile positions
  * avcodec/aacenc: Tighter input checks
  * avformat/wtvdec: Check pointer before use
  * libavcodec/wmalosslessdec: Check the remaining bits
  * avcodec/adpcm: Fix adpcm_ima_wav padding
  * avcodec/svq3: fix slice size check
  * avcodec/diracdec: Check numx/y
  * avcodec/h2645_parse: fix nal size
  * avcodec/h2645_parse: Use get_nalsize() in
    ff_h2645_packet_split()
  * h2645_parse: only read avc length code at the correct
    position
  * h2645_parse: don't overread AnnexB NALs within an avc
    stream
  * avcodec/h264_parser: Factor get_avc_nalsize() out
  * avcodec/cfhd: Increase minimum band dimension to 3
  * avcodec/indeo2: check ctab
  * avformat/swfdec: Fix inflate() error code check
  * avcodec/rawdec: Fix bits_per_coded_sample checks
  * vcodec/h2645_parse: Clear buffer padding
  * avcodec/h2645: Fix NAL unit padding
  * avfilter/drawutils: Fix single plane with alpha
  * cmdutils: check for SetDllDirectory() availability
* Tue Aug  9 2016 aloisio@gmx.com
- Update to version 3.1.2:
  * avcodec/rawdec: Fix palette handling with changing
    palettes
  * avcodec/raw: Fix decoding of ilacetest.mov
  * avformat/mov: Enable mp3 parsing if a packet needs it
  * avformat/hls: Sync starting segment across variants on
    live streams
  * avformat/hls: Fix regression with ranged media segments
  * avcodec/ffv1enc: Fix assertion failure with non zero
    bits per sample
  * avfilter/af_hdcd: small fix in af_hdcd.c where gain was
    not being adjusted for "attenuate slowly"
  * avformat/oggdec: Fix integer overflow with invalid pts
  * libavcodec/dnxhd: Enable 12-bit DNxHR support.
  * lavc/vaapi_encode_h26x: Fix a crash if "." is not the
    decimal separator.
  * avcodec/vp9_parser: Check the input frame sizes for
    being consistent
  * avformat/flvdec: parse keyframe before a/v stream was
    created add_keyframes_index() when stream created or
    keyframe parsed
  * libavformat/rtpdec_asf: zero initialize the AVIOContext
    struct
  * libx264: Increase x264 opts character limit to 4096
  * avcodec/h264_parser: Set sps/pps_ref
  * librtmp: Avoid an infinite loop setting connection
    arguments
  * avformat/oggparsevp8: fix pts calculation on pages
    ending with an invisible frame
  * lavf/vplayerdec: Improve auto-detection.
  * lavc/mediacodecdec_h264: properly convert extradata to
    annex-b
* Fri Jul 29 2016 jengelh@inai.de
- Build with netcdf so as to enable af_sofalizer [boo#983398]
* Fri Jul  1 2016 aloisio@gmx.com
- Update to version 3.1.1
  * doc/APIchanges: document the lavu/lavf field moves
  * avformat/avformat: Move new field to the end of AVStream
  * avformat/utils: update deprecated AVStream->codec when the context is updated
  * avutil/frame: Move new field to the end of AVFrame
  * libavcodec/exr : fix decoding piz float file.
  * avformat/mov: Check sample size
  * lavfi: Move new field to the end of AVFilterContext
  * lavfi: Move new field to the end of AVFilterLink
  * ffplay: Fix usage of private lavfi API
  * lavc/mediacodecdec_h264: add missing NAL headers to SPS/PPS buffers
  * lavc/pnm_parser: disable parsing for text based PNMs
* Mon Jun 27 2016 aloisio@gmx.com
- Update to version 3.1
  * DXVA2-accelerated HEVC Main10 decoding
  * fieldhint filter
  * loop video filter and aloop audio filter
  * Bob Weaver deinterlacing filter
  * firequalizer filter
  * datascope filter
  * bench and abench filters
  * ciescope filter
  * protocol blacklisting API
  * MediaCodec H264 decoding
  * VC-2 HQ RTP payload format (draft v1) depacketizer and
    packetizer
  * VP9 RTP payload format (draft v2) packetizer
  * AudioToolbox audio decoders
  * AudioToolbox audio encoders
  * coreimage filter (GPU based image filtering on OSX)
  * libdcadec removed
  * bitstream filter for extracting DTS core
  * ADPCM IMA DAT4 decoder
  * musx demuxer
  * aix demuxer
  * remap filter
  * hash and framehash muxers
  * colorspace filter
  * hdcd filter
  * readvitc filter
  * VAAPI-accelerated format conversion and scaling
  * libnpp/CUDA-accelerated format conversion and scaling
  * Duck TrueMotion 2.0 Real Time decoder
  * Wideband Single-bit Data (WSD) demuxer
  * VAAPI-accelerated H.264/HEVC/MJPEG encoding
  * DTS Express (LBR) decoder
  * Generic OpenMAX IL encoder with support for Raspberry Pi
  * IFF ANIM demuxer & decoder
  * Direct Stream Transfer (DST) decoder
  * loudnorm filter
  * MTAF demuxer and decoder
  * MagicYUV decoder
  * OpenExr improvements (tile data and B44/B44A support)
  * BitJazz SheerVideo decoder
  * CUDA CUVID H264/HEVC decoder
  * 10-bit depth support in native utvideo decoder
  * libutvideo wrapper removed
  * YUY2 Lossless Codec decoder
- Added minimum requirement for libva (0.35.0, matched by
  1.3.0 package)
* Tue May 31 2016 robert.munteanu@gmail.com
- Guard usage of opencore using bcond_with, boo#980542
* Thu Apr 28 2016 aloisio@gmx.com
- Update to version 3.0.2
  * avcodec/ttaenc: Reallocate packet if its too small
  * configure: build fix for P5600 with mips code restructuring
  * mips: add support for R6
  * pgssubdec: fix subpicture output colorspace and range
  * avcodec/ac3dec: Reset SPX when switching from EAC3 to AC3
  * avfilter/vf_drawtext: Check return code of load_glyph()
  * avformat/mux: Check that deinit is set before calling it
  * avcodec/takdec: add code that got somehow lost in process of
    REing
  * avcodec/apedec: fix decoding of stereo files with one
    channel full of silence
  * avcodec/avpacket: Fix off by 5 error
  * avcodec/h264: Fix for H.264 configuration parsing
  * avcodec/bmp_parser: Ensure remaining_size is not too small
    in startcode packet crossing corner case
  * avcodec/pngdec: Fix alpha detection with skip_frame
  * Changelog: Make formating consistent
  * avfilter/src_movie: fix how we check for overflows with
    seek_point
  * avcodec/j2kenc: Add attribution to OpenJPEG project:
- Dropped dcadec (libdca was merged upstream)
* Mon Apr 25 2016 jengelh@inai.de
- Add ffmpeg-codec-choice.diff
* Sun Apr 17 2016 olaf@aepfle.de
- Remove ffmpeg-devel subpackage.
  All users have been converted to pkgconfig
  Add Provides/Obsoletes to libavdevice-devel
* Sun Apr 10 2016 jengelh@inai.de
- Add ffmpeg-new-coder-errors.diff
* Wed Apr  6 2016 jengelh@inai.de
- Another try at organizing the codec-enable list.
  Enable video: AYUV, Dirac, MJPEG, rawvideo, Theora, VP8, VP9, WebP,
  zlib
  Enable audio: Celt, GSM, Opus, Speex, Vorbis
  Enable subtitle: ASS/SSA text, SRT text, UTF-8 plaintext
* Wed Mar 30 2016 jengelh@inai.de
- Update to new maintenance release 3.0.1
  * vc2enc: fix use of uninitialized variables in the rate control
  system
  * postproc: fix an unaligned access
  * lavc/hevc: Allow arbitrary garbage in bytestream as long as at
  least one NAL unit is found.
* Tue Feb 16 2016 olaf@aepfle.de
- Update included pkgconfig files to require the exact version
  of ffmpeg pc files, instead of any later version
  ffmpeg-pkgconfig-version.patch
* Mon Feb 15 2016 idonmez@suse.com
- Remove the optional vo-aacenc dependency, upstream removed it.
* Mon Feb 15 2016 jengelh@inai.de
- Update to new upstream release 3.0
  * New filters: extrastereo, ocr, alimiter, stereowiden, stereotools,
  rubberband, tremolo, agate, chromakey, displace, and many more.
  * ffplay dynamic volume control
  * audio high-order multiband parametric equalizer
  * automatic bitstream filtering
* Tue Feb  2 2016 aloisio@gmx.com
- Update to version 2.8.6
  * avcodec/jpeg2000dec: More completely check cdef
  * avutil/opt: check for and handle errors in av_opt_set_dict2()
  * avcodec/flacenc: fix calculation of bits required in case
    of custom sample rate
  * avformat: Document urls a bit
  * avformat/libquvi: Set default demuxer and protocol
    limitations
  * avformat/concat: Check protocol prefix
  * doc/demuxers: Document enable_drefs and use_absolute_path
  * avcodec/mjpegdec: Check for end for both bytes in unescaping
  * avcodec/mpegvideo_enc: Check for integer overflow in
    ff_mpv_reallocate_putbitbuffer()
  * avformat/avformat: Replace some references to filenames by
    urls
  * avcodec/wmaenc: Check ff_wma_init() for failure
  * avcodec/mpeg12enc: Move high resolution thread check to
    before initializing threads
  * avformat/img2dec: Use AVOpenCallback
  * avformat/avio: Limit url option parsing to the documented
    cases
  * avformat/img2dec: do not interpret the filename by default
    if a IO context has been opened
  * avcodec/ass_split: Fix null pointer dereference in
    ff_ass_style_get()
  * mov: Add an option to toggle dref opening
  * avcodec/gif: Fix lzw buffer size
  * avcodec/put_bits: Assert buf_ptr in flush_put_bits()
  * avcodec/tiff: Check subsample & rps values more completely
  * swscale/swscale: Add some sanity checks for srcSlice*
    parameters
  * swscale/x86/rgb2rgb_template: Fix planar2x() for short
    width
  * swscale/swscale_unscaled: Fix odd height inputs for
    bayer_to_yv12_wrapper()
  * swscale/swscale_unscaled: Fix odd height inputs for
    bayer_to_rgb24_wrapper()
  * avcodec/aacenc: Check both channels for finiteness
  * asfdec_o: check for too small size in asf_read_unknown
  * asfdec_o: break if EOF is reached after
    asf_read_packet_header
  * asfdec_o: make sure packet_size is non-zero before seeking
  * asfdec_o: prevent overflow causing seekback
  * asfdec_o: check avio_skip in asf_read_simple_index
  * asfdec_o: reject size > INT64_MAX in asf_read_unknown
  * asfdec_o: only set asf_pkt->data_size after sanity checks
  * Merge commit '8375dc1dd101d51baa430f34c0bcadfa37873896'
  * dca: fix misaligned access in avpriv_dca_convert_bitstream
  * brstm: fix missing closing brace
  * brstm: also allocate b->table in read_packet
  * brstm: make sure an ADPC chunk was read for adpcm_thp
  * vorbisdec: reject rangebits 0 with non-0 partitions
  * vorbisdec: reject channel mapping with less than two
    channels
  * ffmdec: reset packet_end in case of failure
  * avformat/ipmovie: put video decoding_map_size into packet
    and use it in decoder
  * avformat/brstm: fix overflow
* Sun Jan 17 2016 idonmez@suse.com
- Update to version 2.8.5
  * Fixes CVE-2016-1897 and CVE-2016-1898 [boo#961937]
* Mon Dec 28 2015 idonmez@suse.com
- Update to version 2.8.4
  * Many bugfixes, see the included Changelog for all the changes.
  * resolving CVE-2015-8661 [boo#960385], CVE-2015-8662 [boo#960384],
  CVE-2015-8663 [boo#960383]
- Drop ffmpeg-remove_some_unused_ctrl_id_mappings.patch, fixed
  upstream.
* Tue Dec 22 2015 olaf@aepfle.de
- Obsolete ffmpeg-tools from packman
* Mon Dec 21 2015 jengelh@inai.de
- Add some provides to make it easier for firefox to recommend
  this package for installation
* Sat Dec 19 2015 joerg.lorenzen@ki.tng.de
- Added patch ffmpeg-remove_some_unused_ctrl_id_mappings.patch to
  successfully build against libvpx >= 1.5 (at least on PMBS).
* Thu Dec 17 2015 olaf@aepfle.de
- Add buildconditionals for libass,libva,vdpau to fix build in SLE_11
* Mon Dec 14 2015 olaf@aepfle.de
- Rename bcond dca to dcadec
- Add more buildconditionals to get closer to removal of BUILD_ORIG
* Wed Dec  9 2015 olaf@aepfle.de
- Remove unused imlib2
* Mon Dec  7 2015 idonmez@suse.com
- Sync with packman changes
  * All packman specific changes are protected with BUILD_ORIG
- Added the following patches
  * ffmpeg-2.4.5-arm6l.patch
  * ffmpeg-libcdio_cdda-pkgconfig.patch
* Sun Nov 29 2015 jengelh@inai.de
- Update to new upstream maintenance release 2.8.3
  * avformat/matroskadec: Check subtitle stream before dereferencing
  * avcodec/jpeg2000dec: Fix potential integer overflow with tile
  dimensions
  * avcodec/jpeg2000dec: Check for duplicate SIZ marker
  * avcodec/jpeg2000: Change coord to 32bit to support larger than
  32k width or height
  * avcodec/jpeg2000dec: Check SIZ dimensions to be within the
  supported range
  * avcodec/jpeg2000: Check comp coords to be within the supported
  size
  * dds: validate compressed source buffer size
  * dds: validate source buffer size before copying
  * softfloat: assert when the argument of av_sqrt_sf is negative
- Fixes CVE-2015-8363 [bnc#957114], CVE-2015-8364 [bnc#957115],
  CVE-2015-8365 [bnc#957116]
* Sat Nov 14 2015 idonmez@suse.com
- Update to new upstream release 2.8.2, containing fixes for the
  following security issues:
  * CVE-2015-8216 boo#955346
  * CVE-2015-8217 boo#955347
  * CVE-2015-8218 boo#955348
  * CVE-2015-8219 boo#955350
- Upstream changes:
  * various fixes in the aac_fixed decoder
  * various fixes in softfloat
  * swresample/resample: increase precision for compensation
  * lavf/mov: add support for sidx fragment indexes
  * avformat/mxfenc: Only store user comment related tags when needed
  * ffmpeg: Don't try and write sdp info if none of the outputs had an rtp format.
  * apng: use correct size for output buffer
  * jvdec: avoid unsigned overflow in comparison
  * avcodec/jpeg2000dec: Clip all tile coordinates
  * avcodec/microdvddec: Check for string end in 'P' case
  * avcodec/dirac_parser: Fix undefined memcpy() use
  * avformat/xmv: Discard remainder of packet on error
  * avformat/xmv: factor return check out of if/else
  * avcodec/mpeg12dec: Do not call show_bits() with invalid bits
  * avcodec/faxcompr: Add missing runs check in decode_uncompressed()
  * libavutil/channel_layout: Check strtol*() for failure
  * avformat/mpegts: Only start probing data streams within probe_packets
  * avcodec/hevc_ps: Check chroma_format_idc
  * avcodec/ffv1dec: Check for 0 quant tables
  * avcodec/mjpegdec: Reinitialize IDCT on BPP changes
  * avcodec/mjpegdec: Check index in ljpeg_decode_yuv_scan() before using it
  * avcodec/h264_slice: Disable slice threads if there are multiple access units in a packet
  * avformat/hls: update cookies on setcookie response
  * opusdec: Don't run vector_fmul_scalar on zero length arrays
  * avcodec/opusdec: Fix extra samples read index
  * avcodec/ffv1: Initialize vlc_state on allocation
  * avcodec/ffv1dec: update progress in case of broken pointer chains
  * avcodec/ffv1dec: Clear slice coordinates if they are invalid or slice header decoding fails for other reasons
  * rtsp: Allow $ as interleaved packet indicator before a complete response header
  * videodsp: don't overread edges in vfix3 emu_edge.
  * avformat/mp3dec: improve junk skipping heuristic
  * concatdec: fix file_start_time calculation regression
  * avcodec: loongson optimize h264dsp idct and loop filter with mmi
  * avcodec/jpeg2000dec: Clear properties in jpeg2000_dec_cleanup() too
  * avformat/hls: add support for EXT-X-MAP
  * avformat/hls: fix segment selection regression on track changes of live streams
  * configure: Require libkvazaar < 0.7.
  * avcodec/vp8: Do not use num_coeff_partitions in thread/buffer setup
- Drop ffmpeg-mov-sidx-fragment.patch, fixed upstream.
* Sat Oct 31 2015 idonmez@suse.com
- Update to new upstream release 2.8.1
  * Minor bugfix release
  * Includes all changes from. Ffmpeg-mt,
    libav master of 2015-08-28, libav 11 as of 2015-08-28
- Add ffmpeg-mov-sidx-fragment.patch to add sidx fragment indexes.
  Needed for new mpv release.
* Wed Sep  9 2015 jengelh@inai.de
- Update to new upstream release 2.8
  * DirectDraw Surface image/texture decoder
  * Many improvements to the JPEG 2000 decoder
  * New video filters: colorkey, SSIM, showvolume, adrawgraph,
  drawgraph, removegrain, erosion, dilation, deflate, inflate,
  reverse, atadenoise, aphasemeter, showfreqs, vectorscope,
  waveform, hstack, vstack, framerate
  * New audio filters: Dynamic Audio Normalizer as dynaudnorm
  filter, areverse, random, deband, sidechaincompress,
  acrossfade
  * allyuv and allrgb video sources
  * Switched default encoders for webm to VP9 and Opus
  * Removed experimental flag from the JPEG 2000 encoder
* Mon Jul 20 2015 jengelh@inai.de
- Update to new upstream release 2.7.2
- webp: fix infinite loop in webp_decode_frame
- huffyuvdec: validate image size
- avcodec/vp8: Check buffer size in vp8_decode_frame_header()
- avcodec/vp8: Fix null pointer dereference in ff_vp8_decode_free()
- avutil/fifo: Fix the case where func() returns less bytes than
  requested in av_fifo_generic_write()
- bytestream2: set the reader to the end when reading more than
  available
- oggparsedirac: check return value of init_get_bits
- vp9/update_prob: prevent out of bounds table read
- avcodec/pngdec: Check values before updating context in
  decode_fctl_chunk()
- avcodec/pngdec: Copy IHDR & plte state from last thread
- avcodec/pngdec: Require a IHDR chunk before fctl
- avcodec/pngdec: Only allow one IHDR chunk
- ffmpeg: Do not use the data/size of a bitstream filter
  after failure
* Thu Jun 25 2015 jengelh@inai.de
- Enable codecs for audio: PCM, Speex, CELT, FLAC, ILBC, Opus
- Enable codecs for image: BMP/PCX/TGA, TIFF, Sun/SGI/X11 raster
  raw Huff-compressed or uncompressed YUV
- Update to new upstream release 2.7.1
  * postproc: fix unaligned access
  * avcodec/flacenc: Fix Invalid Rice order
  * tls_gnutls: fix hang on disconnection
  * avcodec/ffv1enc: fix bps for >8bit yuv when not explicitly set
  * avio: fix potential crashes when combining ffio_ensure_seekback + crc
  * ffmpeg_opt: Check for localtime() failure
  * configure: Disable VSX on unspecified / generic CPUs
* Thu Jun 25 2015 develop7@develop7.info
- Enabled 'bluray' protocol
* Wed Jun 10 2015 jengelh@inai.de
- Update to new upstream release 2.7
  * New encoders: apng (PNG with alpha)
  * New decoders: TDSC (a JPEG/BGR24/zlib format)
  * New audio filters: chorus
  * New video filters: cover_rect, detelecine, fftfilt, find_rect
- Enable codecs: 012v, ansi, apng, bmp, exr, ffv1, ffvhuff
  * unpack DivX-style packed B-frames in MPEG-4 bitstream filter
  * WebM Live Chunk Muxer
  * nvenc level and tier options
- Canopus HQ/HQA decoder
- Automatically rotate videos based on metadata in ffmpeg
- improved Quickdraw compatibility
- VP9 high bit-depth and extended colorspaces decoding support
- WebPAnimEncoder API when available for encoding and muxing WebP
- Direct3D11-accelerated decoding
- Support Secure Transport
- Multipart JPEG demuxer
* Sat May 23 2015 robert.munteanu@gmail.com
- Fix building with BUILD_ORIG
* Sun May 17 2015 jengelh@inai.de
- Update to new upstream release 2.6.3
  * avcodec/libtheoraenc: Check for av_malloc failure
  * ffmpeg_opt: Fix -timestamp parsing
  * avcodec/cavsdec: Use ff_set_dimensions()
  * swr: fix alignment issue caused by 8ch sse functions
  * avcodec/mjpegdec: fix len computation in ff_mjpeg_decode_dqt()
  * avformat/matroskadec: Cleanup error handling for bz2 & zlib
  * avformat/matroskaenc: Check ff_vorbiscomment_length in
  put_flac_codecpriv()
  * avcodec/mpeg12dec: use the correct dimensions for checking SAR
  * xcbgrab: Validate the capture area
  * xcbgrab: Do not assume the non shm image data is always available
  * avfilter/lavfutils: disable frame threads when decoding a single
  image
  * ffmpeg: remove incorrect network deinit
  * OpenCL: Avoid potential buffer overflow in cmdutils_opencl.c
  * libvpxenc: only set noise reduction w/vp8
  * vp9: remove another optimization branch in iadst16 which causes
  overflows.
  * network: Do not leave context locked on error
  * vp9: remove one optimization branch in iadst16 which causes
  overflows.
  * swresample: Allow reinitialization without ever setting channel
  layouts/counts
  * imgutils: initialize palette padding bytes in av_image_alloc
  * id3v2: catch avio_read errors in check_tag
  * avi: Validate sample_size
  * diracdec: avoid overflow of bytes*8 in decode_lowdelay
  * diracdec: prevent overflow in data_unit_size check
  * matroskadec: use uint64_t instead of int for index_scale
  * pngdec: don't use AV_PIX_FMT_MONOBLACK for apng
  * pngdec: return correct error code from decode_frame_common
  * swscale/ppc/swscale_altivec.c: POWER LE support in yuv2planeX_8()
  delete macro GET_VF() it was wrong
  * matroskadec: export cover art correctly
  * mxfenc: don't try to write footer without header
- Enable building avresample for extra API compat
- Remove ffmpeg-pkgconfig-requires.diff: RPM's pkgconfigdeps.sh is
  scanning Requires.private too.
* Mon May 11 2015 dimstar@opensuse.org
- Add baselibs.conf: provide -32bit libraries (used by xine-32bit).
* Mon Apr 13 2015 jengelh@inai.de
- Update to new upstream release 2.6.2
  * avformat/utils: avoid discarded streams in
  av_find_default_stream_index()
  * avutil/cpu: add missing check for mmxext to av_force_cpu_flags
  * avformat/http: replace cookies with updated values instead of
  appending forever
* Thu Mar 19 2015 jengelh@inai.de
- Update to new upstream release 2.6.1
  * Maintenance release with some bugfixes
* Sun Mar  8 2015 jengelh@inai.de
- Update to new upstream release 2.6
  * The VP9 decoder is now usable on x86(-32) and pre-SSSE3 CPUs.
  * 10-bit support in the SPP video filter
  * New video filters: "colorlevels", "tblend", "palettegen",
  "paletteuse". New audio filters: "dcshift".
  * The old libmpcodecs wrapper is finally gone
  * API changes: introduction of device inputs and outputs
* Tue Jan 27 2015 jengelh@inai.de
- Update to new upstream release 2.5.3
  * AVFoundation screen-grabbing support, animated WebP decoding
  support, and Animated PNG support. UDP-Lite support was added.
* Sun Jan  4 2015 jengelh@inai.de
- Initial package (version 2.5.3) for build.opensuse.org
